summaryrefslogtreecommitdiffstats
path: root/system/p7zip
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:26:53 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:26:53 +0200
commitd73dfdc7fe96db8cdcd2d6301ab0a735e02a1cee (patch)
tree94db086ceb4f6be8dd56fe331ab2a1518270044f /system/p7zip
parent07c8d6d2f52f345c403ca392c7b90726ed313ca1 (diff)
downloadslackbuilds-d73dfdc7fe96db8cdcd2d6301ab0a735e02a1cee.tar.gz
slackbuilds-d73dfdc7fe96db8cdcd2d6301ab0a735e02a1cee.tar.xz
system/p7zip: Updated for version 4.58
Diffstat (limited to 'system/p7zip')
-rw-r--r--system/p7zip/makefile.slackware-i48623
-rw-r--r--system/p7zip/makefile.slackware-i68623
-rw-r--r--system/p7zip/p7zip.SlackBuild43
-rw-r--r--system/p7zip/p7zip.info8
-rw-r--r--system/p7zip/slack-desc11
5 files changed, 36 insertions, 72 deletions
diff --git a/system/p7zip/makefile.slackware-i486 b/system/p7zip/makefile.slackware-i486
deleted file mode 100644
index 70d7455580..0000000000
--- a/system/p7zip/makefile.slackware-i486
+++ /dev/null
@@ -1,23 +0,0 @@
-#
-# makefile for Linux (x86, PPC, alpha ...)
-#
-
-OPTFLAGS=-O2
-
-SLKCFLAGS=-march=i486 -mtune=i686
-
-ALLFLAGS=${OPTFLAGS} ${SLKCFLAGS} -s \
- -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE \
- -DNDEBUG -D_REENTRANT -DENV_UNIX \
- $(LOCAL_FLAGS)
-
-CXX=g++ $(ALLFLAGS)
-CC=gcc $(ALLFLAGS)
-CC_SHARED=-fPIC
-LINK_SHARED=-fPIC -shared
-
-LOCAL_LIBS=-lpthread
-LOCAL_LIBS_DLL=$(LOCAL_LIBS) -ldl
-
-OBJ_CRC32=$(OBJ_CRC32_C)
-
diff --git a/system/p7zip/makefile.slackware-i686 b/system/p7zip/makefile.slackware-i686
deleted file mode 100644
index f01e696419..0000000000
--- a/system/p7zip/makefile.slackware-i686
+++ /dev/null
@@ -1,23 +0,0 @@
-#
-# makefile for Linux (x86, PPC, alpha ...)
-#
-
-OPTFLAGS=-O2
-
-SLKCFLAGS=-march=i686 -mtune=i686
-
-ALLFLAGS=${OPTFLAGS} ${SLKCFLAGS} -s \
- -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE \
- -DNDEBUG -D_REENTRANT -DENV_UNIX \
- $(LOCAL_FLAGS)
-
-CXX=g++ $(ALLFLAGS)
-CC=gcc $(ALLFLAGS)
-CC_SHARED=-fPIC
-LINK_SHARED=-fPIC -shared
-
-LOCAL_LIBS=-lpthread
-LOCAL_LIBS_DLL=$(LOCAL_LIBS) -ldl
-
-OBJ_CRC32=$(OBJ_CRC32_C)
-
diff --git a/system/p7zip/p7zip.SlackBuild b/system/p7zip/p7zip.SlackBuild
index ef0aedd8b5..898e0baf28 100644
--- a/system/p7zip/p7zip.SlackBuild
+++ b/system/p7zip/p7zip.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for p7zip
-# Copyright 2007 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2007-2008 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=p7zip
-VERSION=4.57
+VERSION=4.58
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -33,6 +33,14 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
set -e
rm -rf $PKG
@@ -44,33 +52,28 @@ cd ${PRGNAM}_${VERSION}
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# p7zip does not take CXXFLAGS nor CFLAGS, so we have to hardcode
-# them into special makefiles
-if [ "$ARCH" = "i486" ]; then
- cp -f $CWD/makefile.slackware-i486 ./makefile.machine
-elif [ "$ARCH" = "i686" ]; then
- cp -f $CWD/makefile.slackware-i686 ./makefile.machine
-fi
+# Modify CFLAGS directly in the makefile
+sed -i "s/OPTFLAGS=-O/OPTFLAGS=$SLKCFLAGS/" makefile.machine
-make all2 DEST_HOME=/usr DEST_DIR=$PKG
-make install DEST_HOME=/usr DEST_DIR=$PKG
+make all3 \
+ DEST_HOME=/usr \
+ DEST_SHARE_DOC=/usr/doc/$PRGNAM-$VERSION \
+ DEST_DIR=$PKG
+make install \
+ DEST_HOME=/usr \
+ DEST_SHARE_DOC=/usr/doc/$PRGNAM-$VERSION \
+ DEST_DIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-mkdir -p $PKG/usr/doc/
-mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
-rm -rf $PKG/usr/share
cp -a TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/p7zip/p7zip.info b/system/p7zip/p7zip.info
index 89be6dce03..0a9f27ecad 100644
--- a/system/p7zip/p7zip.info
+++ b/system/p7zip/p7zip.info
@@ -1,8 +1,8 @@
PRGNAM="p7zip"
-VERSION="4.57"
+VERSION="4.58"
HOMEPAGE="http://p7zip.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/p7zip/p7zip_4.57_src_all.tar.bz2"
-MD5SUM="773f78d8b297eb858626667d4dfa93c7"
+DOWNLOAD="http://downloads.sourceforge.net/p7zip/p7zip_4.58_src_all.tar.bz2"
+MD5SUM="315b184102c17c4956f53218d973222d"
MAINTAINER="ppr:kut"
-EMAIL="HMWiesinger@gmx.at"
+EMAIL="pprkut@liwjatan.at"
APPROVED="rworkman"
diff --git a/system/p7zip/slack-desc b/system/p7zip/slack-desc
index 6671975e44..f53a6af927 100644
--- a/system/p7zip/slack-desc
+++ b/system/p7zip/slack-desc
@@ -1,7 +1,14 @@
- |-----handy-ruler------------------------------------------------------|
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
p7zip: p7zip (File Compression/Decompression Utility)
p7zip:
-p7zip: 7-Zip is a well-known file compression utility for windows.
+p7zip: 7-Zip is a well-known file compression utility for windows.
p7zip: p7zip is a ported version for linux with nearly the same capabilities.
p7zip:
p7zip: Homepage: http://p7zip.sourceforge.net/